import java.awt.Canvas;

public class Class13 {

   public int anInt164;
   public String aString165;
   public int anInt166;
   public String aString167;
   public int anInt168;
   public String aString169;
   public boolean aBool170;
   public boolean aBool171;
   public String aString172;
   public int anInt173;


   public static Class545 method720(Canvas var0, Interface24 var1, int var2, int var3, int var4) {
      return new Class545_Sub3(var0, var1, var2, var3);
   }

   static final void method721(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      if(client.aString7904 != null) {
         if(var1 <= 607458304) {
            ;
         }

         if(var2 < Class397.anInt4901 * 845314169) {
            if(var1 <= 607458304) {
               ;
            }

            var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = Class56_Sub2.aClass173Array8155[var2].aString2077;
            return;
         }
      }

      var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = "";
   }

   static final void method722(Class508 var0, byte var1) {
      String var2 = (String)var0.anObjectArray6004[(var0.anInt6005 -= -46848683) * 639741949];
      int var3 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      if(var3 == -1) {
         if(var1 >= 64) {
            ;
         }

         throw new RuntimeException("");
      } else {
         var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = var2 + (char)var3;
      }
   }
}
